DOVEADM-KICK(1)

NAME
doveadm-kick - Disconnect users by user name and/or IP address

SYNOPSIS
doveadm [-Dv] kick [ -a anvil_socket_path] [-f] user
doveadm [-Dv] kick [ -a anvil_socket_path] [-f] ip[/mask]
doveadm [-Dv] kick [ -a anvil_socket_path] [-f] user ip[/mask]

DESCRIPTION
doveadm's kick command is used to disconnect users by user name and/or the ip address, from which they are connected.

In the first form, all users, whose login name matches the user argument, will be disconnected.

In the second form, all users, connected from the given IP address or network range, will be disconnected.

In the last form, only users connected from the given IP address or networks range and a matching login name will be disconnected.

OPTIONS
Global doveadm(1) options:

-D  Enables verbosity and debug messages.

-o setting=value
    Overrides the configuration setting from /opt/local/etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-v  Enables verbosity, including progress counter.

Command specific options:

-a anvil_socket_path
    This option is used to specify an absolute path to an alternative UNIX domain socket.

    By default doveadm(1) will use the socket /opt/local/var/run/dovecot/anvil. The socket may be located in another directory, when the default base_dir setting was overridden in /opt/local/etc/dovecot/dovecot.conf.

-f  Enforce the disconnect, even when there are multiple users, from different networks, connected to a single process. This option may be only required when you have configured something like:

    service imap {
      ...
      client_limit = 1+n
      service_count = 0
      ...
    }

ARGUMENTS

ip[/mask]
    ip or ip/ mask is the host or network, from which the users are connected.

user
    Is a user's login name. Depending on the configuration, a login name may be for example jane or john@example.com. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).

EXAMPLE
If you don't want to disconnect all users at once, you can check who's currently logged in. The first example demonstrates how to disconnect all users whose login name is 3 characters long and begins with ba.

doveadm who -1 ja*
username                      proto pid  ip
jane                          imap  8192 ::1
james                         imap  8203 2001:db8:543:2::1
doveadm kick ba?
kicked connections from the following users:
bar baz

The next example shows how to kick user foo's connections from 192.0.2.*.

doveadm who -1 foo
username                     proto pid  ip
foo                          imap  8135 fd95:4eed:38ba::25
foo                          imap  9112 192.0.2.53
foo                          imap  8216 192.0.2.111
doveadm kick foo 192.0.2.0/24
kicked connections from the following users:
foo
doveadm who f*
username                  # proto (pids) (ips)
foo                       1 imap  (8135) (fd95:4eed:38ba::25)

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
doveadm(1), doveadm-who(1)